Loading...
Searching...
No Matches
config.h File Reference
`#include <stdint.h>`
`#include "arc/std/string.h"`

Go to the source code of this file.

## Functions

void | ARC_MathConfig_Init (ARC_Config *config)
uint8_t | ARC_Point_Read (ARC_Config *config, ARC_String *string, void **value)
uint8_t | ARC_Rect_Read (ARC_Config *config, ARC_String *string, void **value)
uint8_t | ARC_RectArray_Read (ARC_Config *config, ARC_String *string, void **value)
void | ARC_Point_Delete (ARC_Config *config, ARC_String *string, void *value)
void | ARC_Rect_Delete (ARC_Config *config, ARC_String *string, void *value)
void | ARC_RectArray_Delete (ARC_Config *config, ARC_String *string, void *value)

## Function Documentation

## ARC_MathConfig_Init()

void ARC_MathConfig_Init | ( | ARC_Config * | config | ) |

## ARC_Point_Delete()

void ARC_Point_Delete | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void * | value )

## ARC_Point_Read()

uint8_t ARC_Point_Read | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void ** | value )

## ARC_Rect_Delete()

void ARC_Rect_Delete | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void * | value )

## ARC_Rect_Read()

uint8_t ARC_Rect_Read | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void ** | value )

## ARC_RectArray_Delete()

void ARC_RectArray_Delete | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void * | value )

## ARC_RectArray_Read()

uint8_t ARC_RectArray_Read | ( | ARC_Config * | config,
|  | ARC_String * | string,
|  | void ** | value )